
locals {
  acceleration_status = var.acceleration_status
  access_log_delivery_policy_source_accounts = var.access_log_delivery_policy_source_accounts
  access_log_delivery_policy_source_buckets = var.access_log_delivery_policy_source_buckets
  acl = var.acl
  allowed_kms_key_arn = var.allowed_kms_key_arn
  analytics_configuration = var.analytics_configuration
  analytics_self_source_destination = var.analytics_self_source_destination
  analytics_source_account_id = var.analytics_source_account_id
  analytics_source_bucket_arn = var.analytics_source_bucket_arn
  attach_access_log_delivery_policy = var.attach_access_log_delivery_policy
  attach_analytics_destination_policy = var.attach_analytics_destination_policy
  attach_deny_incorrect_encryption_headers = var.attach_deny_incorrect_encryption_headers
  attach_deny_incorrect_kms_key_sse = var.attach_deny_incorrect_kms_key_sse
  attach_deny_insecure_transport_policy = var.attach_deny_insecure_transport_policy
  attach_deny_unencrypted_object_uploads = var.attach_deny_unencrypted_object_uploads
  attach_elb_log_delivery_policy = var.attach_elb_log_delivery_policy
  attach_inventory_destination_policy = var.attach_inventory_destination_policy
  attach_lb_log_delivery_policy = var.attach_lb_log_delivery_policy
  attach_policy = var.attach_policy
  attach_public_policy = var.attach_public_policy
  attach_require_latest_tls_policy = var.attach_require_latest_tls_policy
  block_public_acls = var.block_public_acls
  block_public_policy = var.block_public_policy
  bucket = var.bucket
  bucket_prefix = var.bucket_prefix
  control_object_ownership = var.control_object_ownership
  cors_rule = var.cors_rule
  create_bucket = var.create_bucket
  expected_bucket_owner = var.expected_bucket_owner
  force_destroy = var.force_destroy
  grant = var.grant
  ignore_public_acls = var.ignore_public_acls
  intelligent_tiering = var.intelligent_tiering
  inventory_configuration = var.inventory_configuration
  inventory_self_source_destination = var.inventory_self_source_destination
  inventory_source_account_id = var.inventory_source_account_id
  inventory_source_bucket_arn = var.inventory_source_bucket_arn
  lifecycle_rule = var.lifecycle_rule
  logging = var.logging
  metric_configuration = var.metric_configuration
  object_lock_configuration = var.object_lock_configuration
  object_lock_enabled = var.object_lock_enabled
  object_ownership = var.object_ownership
  owner = var.owner
  policy = var.policy
  putin_khuylo = var.putin_khuylo
  replication_configuration = var.replication_configuration
  request_payer = var.request_payer
  restrict_public_buckets = var.restrict_public_buckets
  server_side_encryption_configuration = var.server_side_encryption_configuration
  tags = var.tags
  versioning = var.versioning
  website = var.website
}
